unit unreapnt ; { to find number of series }
interface       { in ephemeris file }
const
  maxday  = 100 ;     { maximum for series }
var               
  numday  : integer ; { number of series }
                      { number for each series }
  numdaz  : array[1..maxday,1..2] of integer ;
procedure tofindseries ( s  : string ) ; { name of file }
implementation
uses
  unfordat ; { function fromdatetojd }
procedure tofindseries ( s  : string ) ;
var                    { s  name of file }
  ft  : text ;     { file s with data per day }
  nr  : integer ;  { simple count to read }
  ny  : integer ;  { year }
  nm  : integer ;  { month }
  nd  : integer ;  { day }
  kh  : integer ;  { hour }
  km  : integer ;  { minute }
  ts  : extended ; { second }
  dp  : extended ; { previous date }
  dt  : extended ; { current  date }
begin
  numday:=0;    { initial }
  for nr:=1 to maxday do { initial }
    begin
      numdaz[nr,1]:=0;
      numdaz[nr,2]:=0;
    end;
  assign(ft,s); { our file }
  reset(ft);    { to open to read }
  dp:=0.0;      { initial }
repeat
  readln(ft,nr);                { number of string }
  readln(ft,ny,nm,nd,kh,km,ts); { year month day hour min sec }
  readln(ft);
  readln(ft);
  readln(ft);
  readln(ft);
  readln(ft);
  dt:=fromdatetojd(nd,nm,ny,kh,km,ts); { julian day unfordat }
  if  ( (dt-dp) > 0.25 )  then { difference in part of day }
    begin                      { it is new series }
      numday:=numday+1;        { the next series }
      if  numday > maxday      { may be or not }
        then  numday:=maxday ; { to prevent }
      numdaz[numday,1]:=nr;    { start number for series }
      if  numday > 1           { finish for previous series }
        then  numdaz[numday-1,2]:=nr-1;
    end;
  dp:=dt; { to keep to compare }
until eof(ft) ; { the end of our file }
  numdaz[numday,2]:=nr; { the last moment in file }
  close(ft);    { that is all to read }
end;
end.
