
{ to find one minor planet from text file asthaz.txt }

unit UnAstReF ; { to read text file asthaz.txt }

interface

uses
  UnAstCoT ; { for type tastel }

{ input   n number of object in text file
  output  e set of kepler elements of the object
  to find one minor planet from text file asthaz.txt }

procedure OneAstWithList ( n  : Integer ;  var  e  : tastel ) ;

{ input   s name or part of name of object 
  output  e set of kepler elements of the object
  to find one minor planet from text file asthaz.txt }

procedure OneAstWithName ( s  : string ;  var  e  : tastel ) ;

implementation

{ input   n number of object in text file
  output  e set of kepler elements of the object
  to find one minor planet from text file asthaz.txt }

{ input   n number of object in text file
  output  e set of kepler elements of the object
  to find one minor planet from text file asthaz.txt }

procedure OneAstWithList ( n  : Integer ;  var  e  : tastel ) ;
var
  i  : Integer ; { simple count }
  f  : Text ;    { file to read }
  b  : Boolean ;
begin
  assign(f,'asthaz.txt'); { text file with the elements }
  reset(f);               { to open to read }
  b:=False;               { initial no object }
repeat
  readln(f,i);     { current number in list } 
  readln(f,e.snm); { may be the number of the asteroid string[5] }
  readln(f,e.stn); { may be the name string[11] }
  readln(f,e.epo); { elements epoch in julian day }
  readln(f,e.ela); { semimajor axis in astronomical unit }
  readln(f,e.ele); { eccentricity }
  readln(f,e.eli); { inclination in degree }
  readln(f,e.eln); { longitude of ascension node in degree }
  readln(f,e.elp); { argument of perihelii in degree }
  readln(f,e.elm); { mean anomaly in degree }
  readln(f,e.prh); { parametr H }
  readln(f,e.prg); { parametr G }
  if  i = n        { to compare numbers }
    then  b:=True; { this is our object }
until  b or EOF(f) ;      { may by end of file }
  close(f);               { that is all }
end;

{ input   s name or part of name of object 
  output  e set of kepler elements of the object
  to find one minor planet from text file asthaz.txt }

procedure OneAstWithName ( s  : string ;  var  e  : tastel ) ;
var
  i  : Integer ; { simple count }
  f  : Text ;    { file to read }
  b  : Boolean ;
begin
  assign(f,'asthaz.txt'); { text file with the elements }
  reset(f);               { to open to read }
  b:=False;               { initial no object }
repeat
  readln(f,i);     { current number in list } 
  readln(f,e.snm); { may be the number of the asteroid string[5] }
  readln(f,e.stn); { may be the name string[11] }
  readln(f,e.epo); { elements epoch in julian day }
  readln(f,e.ela); { semimajor axis in astronomical unit }
  readln(f,e.ele); { eccentricity }
  readln(f,e.eli); { inclination in degree }
  readln(f,e.eln); { longitude of ascension node in degree }
  readln(f,e.elp); { argument of perihelii in degree }
  readln(f,e.elm); { mean anomaly in degree }
  readln(f,e.prh); { parametr H }
  readln(f,e.prg); { parametr G }
                        { to compare names in strings }
  if  Pos(s,e.stn) > 0  { may be our name }
    then                { after compare }
      b:=True; { this is our object }
until  b or EOF(f) ;      { may by end of file }
  close(f);               { that is all }
end;

end.
